## libsdl2 2.24.0+dfsg

=== debian/changelog ===
libsdl2 (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Functionally equivalent to 2.23.2+dfsg-4
  * Drop patches that were applied upstream
  * d/watch, d/gbp.conf, d/control: Go back to unstable branch
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Aug 2022 11:45:00 +0100

libsdl2 (2.23.2+dfsg-4) experimental; urgency=medium

  * d/patches: Update to upstream commit prerelease-2.23.2-21-g6e007c36e

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Aug 2022 10:22:45 +0100

libsdl2 (2.23.2+dfsg-3) experimental; urgency=medium

  * d/patches: Update to upstream commit prerelease-2.23.2-17-g51be30f3c,
    excluding CI-only changes

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Aug 2022 17:38:47 +0100

libsdl2 (2.23.2+dfsg-2) experimental; urgency=medium

  * d/patches: Update to upstream prerelease-2.23.2-10-g9670d2bb9,
    excluding changes specific to non-Linux platforms (macOS and PS2)

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Aug 2022 12:34:50 +0100

libsdl2 (2.23.2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate
  * d/p/core-linux-Don-t-cache-the-RealtimeKit-D-Bus-connection.patch,
    d/p/Add-SDL_JOYBATTERYUPDATED-event-to-SDL_JoystickEventState.patch:
    Add post-release bugfixes from upstream
  * d/p/no-libdir.patch: Redo to cope with changes to how static linking
    is handled upstream
  * d/libsdl2-2.0-0.symbols: Update
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Aug 2022 19:34:25 +0100

libsdl2 (2.23.1+dfsg-1) experimental; urgency=medium

  * New upstream prerelease
  * d/watch: Use GitHub to download releases
  * d/watch: Download prereleases for experimental branch
  * Merge packaging changes from unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 12:13:59 +0100

libsdl2 (2.0.22+dfsg-6) unstable; urgency=medium

  * d/watch: Use GitHub to download releases
  * d/rules: Wrap configure flags one per line, and sort them.
    This reduces the diff when we change them.
  * d/rules: Explicitly disable use of libraries we don't build-depend on.
    SDL doesn't build-depend on JACK or the proprietary bcm_host and Vivante
    graphics APIs, so these would not get enabled in official Debian builds.
    For reproducibility, if they happen to be installed on a system where a
    contributor is doing their own local build, don't enable them
    there either.
    - In particular, this ensures that the old bcm_host driver for
      Raspberry Pi is not enabled. This is an outdated kernel driver which
      has been superseded by KMS/DRM. (Closes: #1012863)
  * d/rules: Explicitly disable auto-detection of other OSs' drivers.
    This ensures that they are not enabled if compatible headers are
    somehow available locally. Note that --disable-xinput refers to Windows
    XInput (an API for Xbox-360-compatible game controllers) and should not
    be confused with --enable-video-x11-xinput.
  * d/rules: Explicitly enable library dependencies we intend to enable

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 10:14:50 +0100

libsdl2 (2.0.22+git20220615+g960b86d+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
  * d/p/cmake-Fix-static-linking-to-dependencies-with-in-library-.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Jun 2022 14:04:37 +0100

libsdl2 (2.0.22+git20220612+gbdf1413+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
  * Update symbols file
  * d/p/no-libdir.patch: Refresh for new upstream git snapshot
  * Merge packaging from unstable
    - d/p/345efdcb.patch: Drop, included in new upstream git snapshot
  * d/copyright: Update
  * d/p/cmake-Fix-static-linking-to-dependencies-with-in-library-.patch:
    Add proposed patch to fix SDL2::SDL2-static target in our configuration

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jun 2022 12:07:53 +0100

libsdl2 (2.0.22+dfsg-5) unstable; urgency=medium

  * debian/patches/345efdcb.patch:
    - cherry-pick upstream fix for arm64 test failure due to race condition.
      (LP: #1976288)
  * revert Ubuntu arm64 hack, now that upstream properly fixed it.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jun 2022 11:50:18 +0200

libsdl2 (2.0.22+git20220530+g3c3c025+dfsg-1) experimental; urgency=medium

  * Merge packaging from unstable
  * New upstream git snapshot
  * Refresh patches

 -- Simon McVittie <smcv@debian.org>  Tue, 31 May 2022 13:26:32 +0100

libsdl2 (2.0.22+dfsg-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Ignore tests if the system is Ubuntu and architecture arm64,
    requiring some real new hw to complete successfully
    (workaround for LP: #1976288)

  [ Simon McVittie ]
  * d/control: Remove Sam Hocevar from Uploaders,
    with thanks for past contributions (Closes: #1011583)
  * d/tests/installed-tests: Assert that at least one test was run
  * d/control: Add missing dependencies for static linking
    (Closes: #1012088, LP: #1976198)
  * d/tests/cmake: Exercise static linking to SDL
  * Standards-Version: 4.6.1 (no changes required)
  * Only skip testatomic on Ubuntu, not the rest of the test suite.
    This lets us get at least some confidence that the package is working.

 -- Simon McVittie <smcv@debian.org>  Mon, 30 May 2022 16:43:30 +0100

libsdl2 (2.0.22+git20220524+g5dee082+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
    - Avoid implicit promotion from float to double (Closes: #1011014)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 May 2022 18:06:53 +0100

libsdl2 (2.0.22+git20220518.g4cb57bf+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Wed, 18 May 2022 20:57:32 +0100

libsdl2 (2.0.22+git20220508.gc71ee68+dfsg-1) experimental; urgency=medium

  * d/gbp.conf, d/control: Branch for experimental
  * New upstream git snapshot
    - Drop patches that were applied upstream


=== debian/control ===
Source: libsdl2
Priority: optional
Section: libs
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Manuel A. Fernandez Montecelo <mafm@debian.org>,
 Felix Geyer <fgeyer@debian.org>,
 Simon McVittie <smcv@debian.org>
Standards-Version: 4.6.1
Build-Depends:
 debhelper-compat (= 13),
 fcitx-libs-dev,
 libasound2-dev [linux-any],
 libdbus-1-dev,
 libdecor-0-dev [linux-any],
 libdrm-dev [linux-any],
 libegl1-mesa-dev [!hurd-any],
 libgbm-dev [linux-any],
 libgl-dev,
 libgles-dev [!hurd-any],
 libglu1-mesa-dev,
 libibus-1.0-dev,
 libpipewire-0.3-dev (>= 0.3.20) [linux-any],
 libpulse-dev,
 libsamplerate0-dev,
 libsndio-dev,
 libudev-dev [linux-any],
 libusb2-dev [kfreebsd-any],
 libusbhid-dev [kfreebsd-any],
 libvulkan-dev [linux-any],
 libwayland-dev (>= 1.18) [linux-any],
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev (>= 0.5.0),
 libxrandr-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 wayland-protocols
Build-Depends-Indep:
 graphviz <!nodoc>,
 doxygen <!nodoc>,
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2.git
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2
Homepage: https://www.libsdl.org/
Rules-Requires-Root: no

Package: libsdl2-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 xdg-utils,
Conflicts:
 libsdl-1.3-0
Replaces:
 libsdl-1.3-0
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 and Wayland graphics drivers and OSS,
 ALSA, sndio and PulseAudio sound drivers.

Package: libsdl2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libasound2-dev [linux-any],
 libdbus-1-dev,
 libdecor-0-dev [linux-any],
 libdrm-dev [linux-any],
 libegl1-mesa-dev [!hurd-any],
 libgbm-dev [linux-any],
 libgl-dev,
 libgles-dev [!hurd-any],
 libglu1-mesa-dev,
 libibus-1.0-dev,
 libpulse-dev,
 libsdl2-2.0-0 (= ${binary:Version}),
 libsndio-dev,
 libudev-dev [linux-any],
 libusb2-dev [kfreebsd-any],
 libusbhid-dev [kfreebsd-any],
 libwayland-dev [linux-any],
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxrandr-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxxf86vm-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libsdl-1.3-dev
Replaces:
 libsdl-1.3-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Breaks:
 libsdl2-dev (<< 2.0.4+dfsg-1)
Replaces:
 libsdl2-dev (<< 2.0.4+dfsg-1)
Description: Reference manual for libsdl2
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the reference manual and examples.

Package: libsdl2-tests
Section: misc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gnome-desktop-testing
Breaks:
 libsdl2-dev (<< 2.0.22+dfsg-2~)
Replaces:
 libsdl2-dev (<< 2.0.22+dfsg-2~)
Description: Simple DirectMedia Layer automated and manual tests
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains manual and automated tests. The automated tests can
 be run using ginsttest-runner in the gnome-desktop-testing package,
 or manually.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

built_binaries := $(shell dh_listpackages)

include /usr/share/dpkg/default.mk

confflags = \
	--disable-alsa-shared \
	--disable-arts \
	--disable-directx \
	--disable-esd \
	--disable-fusionsound \
	--disable-jack \
	--disable-joystick-mfi \
	--disable-kmsdrm-shared \
	--disable-nas \
	--disable-pulseaudio-shared \
	--disable-render-d3d \
	--disable-rpath \
	--disable-video-cocoa \
	--disable-video-directfb \
	--disable-video-metal \
	--disable-video-opengles1 \
	--disable-video-rpi \
	--disable-video-vivante \
	--disable-wasapi \
	--disable-wayland-shared \
	--disable-x11-shared \
	--disable-xinput \
	--enable-alsa \
	--enable-dbus \
	--enable-fcitx \
	--enable-hidapi \
	--enable-hidapi-joystick \
	--enable-ibus \
	--enable-libsamplerate \
	--enable-pulseaudio \
	--enable-sdl2-config \
	--enable-sndio \
	--enable-video-kmsdrm \
	--enable-video-opengl \
	--enable-video-opengles \
	--enable-video-opengles2 \
	--enable-video-x11 \
	$(NULL)

# disable autoheader (invoked automatically by autoreconf), necessary in order
# to use debhelper compat level v10 without overriding dh-autoreconf calls
export AUTOHEADER := /bin/true


ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  confflags += --disable-altivec
endif

ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
  confflags += --disable-altivec
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  confflags += --enable-libdecor
  confflags += --enable-libudev
  confflags += --enable-pipewire
  confflags += --enable-video-vulkan
  confflags += --enable-video-wayland
else
  confflags += --disable-libdecor
  confflags += --disable-libudev
  confflags += --disable-pipewire
  confflags += --disable-video-vulkan
  confflags += --disable-video-wayland
endif

# don't use libunwind even if it happens to be installed
confflags += ac_cv_header_libunwind_h=no

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)
	# test/configure.ac uses AC_PATH_X, so we need to pass in
	# --x-includes and --x-libraries to avoid it wanting to use
	# xmkmf to discover the right values.
	# test/configure.ac doesn't respect CPPFLAGS or LDFLAGS.
	dh_auto_configure \
		--buildsystem=autoconf \
		--sourcedirectory=$(CURDIR)/test \
		--builddirectory=$(CURDIR)/debian/build-tests \
		-- \
		--x-includes=/usr/include \
		--x-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
		SDL_CFLAGS=-I$(CURDIR)/include \
		SDL_LIBS="-L$(CURDIR)/build/.libs -lSDL2" \
		ac_cv_lib_SDL2_ttf_TTF_Init=no \
		CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
		$(NULL)

override_dh_auto_build-indep:
	GZIP="-9n" tar \
		--exclude=autom4te.cache \
		--owner=0 --group=0 --mode=go=rX,u+rw,a-s \
		--clamp-mtime --mtime="@$(SOURCE_DATE_EPOCH)" \
		--sort=name \
		-czf debian/examples.tar.gz test
	sed -e 's/FULL_PATH_NAMES *=.*/FULL_PATH_NAMES = NO/' < docs/doxyfile > debian/Doxyfile
	cd docs && doxygen ../debian/Doxyfile
	# useless files
	find docs/output -name "*.md5" -delete
	find docs/output -type d -empty -delete

# Force examples to be installed in libsdl2-doc, it does not happen with compat
# level v11 despite having the file debian/libsdl2-doc.examples (it gets
# installed as part of libsdl2-dev instead)
override_dh_installexamples-indep:
	dh_installexamples -i --doc-main-package=libsdl2-doc

override_dh_auto_build-arch: build-library build-tests
override_dh_auto_build-indep: build-library
build-library:
	dh_auto_build -- V=1
build-tests:
	dh_auto_build \
		--buildsystem=autoconf \
		--sourcedirectory=$(CURDIR)/test \
		--builddirectory=$(CURDIR)/debian/build-tests \
		-- \
		V=1


override_dh_auto_clean-indep:
	dh_auto_clean
	rm -f debian/Doxyfile
	rm -f debian/examples.tar.gz
	rm -rf docs/output

override_dh_auto_test-arch:
	dh_auto_test
	LD_LIBRARY_PATH=$(CURDIR)/build/.libs \
	dh_auto_test \
		--buildsystem=autoconf \
		--sourcedirectory=$(CURDIR)/test \
		--builddirectory=$(CURDIR)/debian/build-tests \
		-- \
		V=1

override_dh_auto_install-arch:
	dh_auto_install -- V=1
	dh_auto_install \
		--buildsystem=autoconf \
		--sourcedirectory=$(CURDIR)/test \
		--builddirectory=$(CURDIR)/debian/build-tests \
		-- \
		V=1

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/libsdl2-tests/usr/libexec/installed-tests
endif

override_dh_install:
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2
	mv debian/tmp/usr/include/SDL2/SDL_config.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/_real_SDL_config.h
	ln -s ../../SDL2/SDL_platform.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/
	ln -s ../../SDL2/begin_code.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/
	ln -s ../../SDL2/close_code.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/
	dh_install

override_dh_link:
	# to address lintian warning
	# W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
	dh_link --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs -- WhatsNew.txt

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~.+](?:dfsg|ds)[0-9]*$//,repacksuffix=+dfsg,pgpmode=auto" \
https://github.com/libsdl-org/SDL/releases \
.*/SDL2-(\d+\.\d*[02468]\.\d+)@ARCHIVE_EXT@

# also: https://www.libsdl.org/release/SDL2-(\d+\.\d*[02468]\.\d+)@ARCHIVE_EXT@

## libsdl2 2.26.2+dfsg

=== debian/changelog ===
libsdl2 (2.26.2+dfsg-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Jan 2023 08:59:33 +0000

libsdl2 (2.26.1+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches for Logitech G29 regression, applied upstream
  * d/gbp.conf: Use DEP-14 branch names

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Dec 2022 10:57:42 +0000

libsdl2 (2.26.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Use stable release 2.26.0 for all symbols new in 2.25.x
  * d/watch: Only watch for 2.x versions.
    Development has started on SDL 3, which will be incompatible, and
    should be packaged as a parallel libsdl3 source package.
  * Add post-release patches to fix regression for Logitech G29.
    We want this to show up as a steering wheel, not a Playstation gamepad.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Nov 2022 21:52:45 +0000

libsdl2 (2.25.1+dfsg-1) experimental; urgency=medium

  * d/control, d/gbp.conf: Branch for experimental
  * New upstream development release
    - Drop patches that were included upstream
  * d/.gitignore: Add
  * d/clean: Clean up files that are modified by the build
  * Update symbols file
  * Normalize symbols file to use stable releases where possible.
    We don't need to generate fine-grained dependencies on specific
    betas, release candidates and git snapshots: for smooth upgrades from
    older Debian releases, it's enough to know which stable release is
    the minimum.

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Nov 2022 19:32:23 +0000

libsdl2 (2.24.2+dfsg-1) unstable; urgency=medium

  * New upstream stable release
    - Includes a change to fix a test failure on 32-bit big-endian
      (hppa, mips, powerpc). Thanks to Helge Deller (Closes: #1021310)
  * d/p/build-Expand-version-info-in-SDL_REVISION-and-SDL_GetRevi.patch,
    d/p/build-Add-a-mechanism-to-mark-builds-with-vendor-info.patch:
    Backport patches from upstream git to add vendor information to binaries

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Nov 2022 22:14:15 +0000

libsdl2 (2.24.1+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/cmake-always-create-SDL2-SDL2main-target-in-autotools-cma.patch,
    d/p/cmake-fix-location-of-SDL2-SDL2test-imported-library.patch,
    d/p/configure.ac-fix-configure-tests-broken-with-Clang-15-imp.patch,
    d/p/apply-commit-d0a3570300812bc81888e7a7eadb9311621dc9a7-to-.patch,
    d/p/Fix-incorrect-return-value-in-X11_GetPixelFormatFromVisua.patch,
    d/p/Fix-SDL_PIXELFORMAT_INDEX1LSB-test-case.patch,
    d/p/Fixed-bug-6287-SDL_FillRect-failed-for-SDL_Surface-with-B.patch:
    Drop patches, included upstream
  * d/control: (Build-)Depend on libegl-dev instead of libegl1-mesa-dev
  * d/control: Drop (Build-)Depends on libglu1-mesa-dev, no longer required
  * d/rules, d/control: Make libsamplerate a hard dependency

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:17:19 +0100

libsdl2 (2.24.0+dfsg-2) unstable; urgency=medium

  * d/p/cmake-always-create-SDL2-SDL2main-target-in-autotools-cma.patch,
    d/p/cmake-fix-location-of-SDL2-SDL2test-imported-library.patch,
    d/p/configure.ac-fix-configure-tests-broken-with-Clang-15-imp.patch,
    d/p/apply-commit-d0a3570300812bc81888e7a7eadb9311621dc9a7-to-.patch,
    d/p/Fix-incorrect-return-value-in-X11_GetPixelFormatFromVisua.patch,
    d/p/Fix-SDL_PIXELFORMAT_INDEX1LSB-test-case.patch,
    d/p/Fixed-bug-6287-SDL_FillRect-failed-for-SDL_Surface-with-B.patch:
    Add various bug fixes from upstream release-2.24.x branch
  * d/tests: Add a test for linking to SDL2::SDL2main (and also C++)
    Thanks: quyykk
  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Oct 2022 12:50:33 +0100

## libsdl2 2.26.3+dfsg

=== CMakeLists.txt ===
if(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
  message(FATAL_ERROR "Prevented in-tree build. Please create a build directory outside of the SDL source code and run \"cmake -S ${CMAKE_SOURCE_DIR} -B .\" from there")
endif()

cmake_minimum_required(VERSION 3.0.0)
project(SDL2 C CXX)

if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
  set(SDL2_SUBPROJECT OFF)
else()
  set(SDL2_SUBPROJECT ON)
endif()

if (HAIKU)
  set(LINKER_LANGUAGE CXX)
endif()

set(EXTRA_LIBS)
set(EXTRA_LDFLAGS)

# This is a virtual "library" that just exists to collect up compiler and
#  linker options that used to be global to this CMake project. When you
#  specify it as part of a real library's target_link_libraries(), that
#  library will also gain all those build options too. This is meant to
#  modularize old calls to the global add_definitions and include_directories,
#  etc. See https://github.com/libsdl-org/SDL/issues/4150
add_library(sdl-build-options INTERFACE)

if(WINDOWS_STORE)
  cmake_minimum_required(VERSION 3.11.0)
  target_compile_definitions(sdl-build-options INTERFACE "-DSDL_BUILDING_WINRT=1")
  target_compile_options(sdl-build-options INTERFACE "-ZW")
endif()

# Build in parallel under Visual Studio. Not enabled by default.
if(MSVC)
  target_compile_options(sdl-build-options INTERFACE "/MP")
endif()

# CMake 3.0 expands the "if(${A})" in "set(OFF 1);set(A OFF);if(${A})" to "if(1)"
# CMake 3.24+ emits a warning when not set.
unset(OFF)
unset(ON)
if(POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()

# !!! FIXME: this should probably do "MACOSX_RPATH ON" as a target property
# !!! FIXME:  for the SDL2 shared library (so you get an
# !!! FIXME:  install_name ("soname") of "@rpath/libSDL-whatever.dylib"
# !!! FIXME:  instead of "/usr/local/lib/libSDL-whatever.dylib"), but I'm
# !!! FIXME:  punting for now and leaving the existing behavior. Until this
# !!! FIXME:  properly resolved, this line silences a warning in CMake 3.0+.
# !!! FIXME:  remove it and this comment entirely once the problem is
# !!! FIXME:  properly resolved.
#cmake_policy(SET CMP0042 OLD)

include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckIncludeFile)
include(CheckLanguage)
include(CheckSymbolExists)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckStructHasMember)
include(CMakeDependentOption)
include(CMakePushCheckState)
include(GNUInstallDirs)

find_package(PkgConfig)

list(APPEND CMAKE_MODULE_PATH "${SDL2_SOURCE_DIR}/cmake")
include(${SDL2_SOURCE_DIR}/cmake/macros.cmake)
include(${SDL2_SOURCE_DIR}/cmake/sdlchecks.cmake)
include(${SDL2_SOURCE_DIR}/cmake/CheckCPUArchitecture.cmake)

# Enable large file support on 32-bit glibc, so that we can access files
# with large inode numbers
check_symbol_exists("__GLIBC__" "stdlib.h" LIBC_IS_GLIBC)
if (LIBC_IS_GLIBC AND CMAKE_SIZEOF_VOID_P EQUAL 4)
    add_definitions(-D_FILE_OFFSET_BITS=64)
endif()

# See docs/release_checklist.md
set(SDL_MAJOR_VERSION 2)
set(SDL_MINOR_VERSION 26)
set(SDL_MICRO_VERSION 3)
set(SDL_VERSION "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}.${SDL_MICRO_VERSION}")

# Set defaults preventing destination file conflicts
set(SDL_CMAKE_DEBUG_POSTFIX "d"
    CACHE STRING "Name suffix for debug builds")

mark_as_advanced(CMAKE_IMPORT_LIBRARY_SUFFIX SDL_CMAKE_DEBUG_POSTFIX)

# Calculate a libtool-like version number
math(EXPR SDL_BINARY_AGE "${SDL_MINOR_VERSION} * 100 + ${SDL_MICRO_VERSION}")
if(SDL_MINOR_VERSION MATCHES "[02468]$")
    # Stable branch, 2.24.1 -> libSDL2-2.0.so.0.2400.1
    set(SDL_INTERFACE_AGE ${SDL_MICRO_VERSION})
else()
    # Development branch, 2.23.1 -> libSDL2-2.0.so.0.2301.0
    set(SDL_INTERFACE_AGE 0)
endif()

# Increment this if there is an incompatible change - but if that happens,
# we should rename the library from SDL2 to SDL3, at which point this would
# reset to 0 anyway.
set(LT_MAJOR "0")

math(EXPR LT_AGE "${SDL_BINARY_AGE} - ${SDL_INTERFACE_AGE}")
math(EXPR LT_CURRENT "${LT_MAJOR} + ${LT_AGE}")
set(LT_REVISION "${SDL_INTERFACE_AGE}")
# For historical reasons, the library name redundantly includes the major
# version twice: libSDL2-2.0.so.0.
# TODO: in SDL 3, set the OUTPUT_NAME to plain SDL3, which will simplify
# it to libSDL3.so.0
set(LT_RELEASE "2.0")
set(LT_VERSION "${LT_MAJOR}.${LT_AGE}.${LT_REVISION}")

# The following should match the versions in the Xcode project file.
# Each version is 1 higher than you might expect, for compatibility
# with libtool: macOS ABI versioning is 1-based, unlike other platforms
# which are normally 0-based.
math(EXPR DYLIB_CURRENT_VERSION_MAJOR "${LT_MAJOR} + ${LT_AGE} + 1")
math(EXPR DYLIB_CURRENT_VERSION_MINOR "${LT_REVISION}")
set(DYLIB_CURRENT_VERSION "${DYLIB_CURRENT_VERSION_MAJOR}.${DYLIB_CURRENT_VERSION_MINOR}.0")
set(DYLIB_COMPATIBILITY_VERSION "${DYLIB_CURRENT_VERSION_MAJOR}.0.0")

# This list holds all generated headers.
# To avoid generating them twice, these are added to a dummy target on which all sdl targets depend.
set(SDL_GENERATED_HEADERS)

#message(STATUS "${LT_VERSION} :: ${LT_AGE} :: ${LT_REVISION} :: ${LT_CURRENT} :: ${LT_RELEASE}")

# General settings & flags
set(LIBRARY_OUTPUT_DIRECTORY "build")
# Check for 64 or 32 bit
set(SIZEOF_VOIDP ${CMAKE_SIZEOF_VOID_P})
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(ARCH_64 TRUE)
  set(PROCESSOR_ARCH "x64")
else()
  set(ARCH_64 FALSE)
  set(PROCESSOR_ARCH "x86")
endif()
set(LIBNAME SDL2)
if(NOT LIBTYPE)
  set(LIBTYPE SHARED)
endif()

# Get the platform
if(WIN32)
  if(NOT WINDOWS)
    set(WINDOWS TRUE)
  endif()
elseif(UNIX AND NOT APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
    set(LINUX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kFreeBSD.*")
    set(FREEBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*")
    set(NETBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kOpenBSD.*|OpenBSD.*")
    set(OPENBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*GNU.*")
    set(GNU TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*BSDI.*")
    set(BSDI TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
    set(FREEBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "SYSV5.*")
    set(SYSV5 TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "Solaris.*|SunOS.*")
    set(SOLARIS TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "HP-UX.*")
    set(HPUX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "AIX.*")
    set(AIX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "Minix.*")
    set(MINIX TRUE)
  endif()
elseif(APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Darwin.*")
    set(DARWIN TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*MacOS.*")
    set(MACOSX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*tvOS.*")
    set(TVOS TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*iOS.*")
    # !!! FIXME: remove the version check when we start requiring >= 3.14.0
    if(CMAKE_VERSION VERSION_LESS 3.14)
      set(IOS TRUE)
    endif()
  endif()
elseif(CMAKE_SYSTEM_NAME MATCHES "BeOS.*")
  message_error("BeOS support has been removed as of SDL 2.0.2.")
elseif(CMAKE_SYSTEM_NAME MATCHES "Haiku.*")
  set(HAIKU TRUE)
elseif(NINTENDO_3DS)
  set(N3DS TRUE)
endif()

# Don't mistake osx for unix
if(UNIX AND NOT ANDROID AND NOT APPLE AND NOT RISCOS)
  set(UNIX_SYS ON)
else()
  set(UNIX_SYS OFF)
endif()

if(UNIX OR APPLE)
  set(UNIX_OR_MAC_SYS ON)
else()
  set(UNIX_OR_MAC_SYS OFF)
endif()

# Emscripten pthreads work, but you need to have a non-pthread fallback build
#  for systems without support. It's not currently enough to not use
#  pthread functions in a pthread-build; it won't start up on unsupported
#  browsers. As such, you have to explicitly enable it on Emscripten builds
#  for the time being. This default with change to ON once this becomes
#  commonly supported in browsers or the Emscripten teams makes a single
#  binary work everywhere.
if (UNIX_OR_MAC_SYS AND NOT EMSCRIPTEN)
  set(SDL_PTHREADS_ENABLED_BY_DEFAULT ON)
else()
  set(SDL_PTHREADS_ENABLED_BY_DEFAULT OFF)
endif()

if(UNIX_SYS OR ANDROID)
  set(SDL_CLOCK_GETTIME_ENABLED_BY_DEFAULT ON)
else()
  set(SDL_CLOCK_GETTIME_ENABLED_BY_DEFAULT OFF)
endif()

# The hidraw support doesn't catch Xbox, PS4 and Nintendo controllers,
#  so we'll just use libusb when it's available. libusb does not support iOS,
#  so we default to yes on iOS.
#  TODO: Windows can support libusb, the hid.c file just depends on Unix APIs
if((WINDOWS AND NOT WINDOWS_STORE) OR IOS OR TVOS OR ANDROID)
  set(HIDAPI_SKIP_LIBUSB TRUE)
else()
  set(HIDAPI_SKIP_LIBUSB FALSE)
endif()

# On the other hand, *BSD specifically uses libusb only, so we make a special
#  case just for them.
if(FREEBSD OR NETBSD OR OPENBSD OR BSDI)
  set(HIDAPI_ONLY_LIBUSB TRUE)
else()
  set(HIDAPI_ONLY_LIBUSB FALSE)
endif()

# Compiler info
if(CMAKE_C_COMPILER_ID MATCHES "Clang")
  set(USE_CLANG TRUE)
  set(OPT_DEF_ASM TRUE)
  # Visual Studio 2019 v16.2 added support for Clang/LLVM.
  # Check if a Visual Studio project is being generated with the Clang toolset.
  if(MSVC)
    set(MSVC_CLANG TRUE)
  endif()
elseif(CMAKE_COMPILER_IS_GNUCC)
  set(USE_GCC TRUE)
  set(OPT_DEF_ASM TRUE)
elseif(MSVC_VERSION GREATER 1400) # VisualStudio 8.0+
  set(OPT_DEF_ASM TRUE)
  #set(CMAKE_C_FLAGS "/ZI /WX- /
else()
  set(OPT_DEF_ASM FALSE)
endif()

if(USE_GCC OR USE_CLANG)
  set(OPT_DEF_GCC_ATOMICS ON)
endif()

# Default option knobs
if(APPLE OR ARCH_64 OR MSVC_CLANG)
  if(NOT "${CMAKE_OSX_ARCHITECTURES}" MATCHES "arm")
    set(OPT_DEF_SSEMATH ON)
  endif()
endif()
if(UNIX OR MINGW OR MSYS OR (USE_CLANG AND NOT WINDOWS) OR VITA OR PSP OR PS2 OR N3DS)
  set(OPT_DEF_LIBC ON)
endif()

if(NOT ("$ENV{CFLAGS}" STREQUAL ""))
  if(CMAKE_VERSION VERSION_LESS 3.11.0)
     message(WARNING "SDL's CMakeLists.txt no longer checks the CFLAGS environment.")
     message(WARNING "Please use CMake's CMAKE_C_FLAGS and CMAKE_BUILD_TYPE variables directly.")
     message(WARNING "Or upgrade to CMake >= 3.11.0, which respects the CFLAGS environment var.")
  endif()
endif()

if(MSVC)
  option(SDL_FORCE_STATIC_VCRT "Force /MT for static VC runtimes" OFF)
  if(SDL_FORCE_STATIC_VCRT)
    foreach(flag_var
        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif()
    endforeach()
  endif()

  if(NOT SDL_LIBC)
    # Make sure /RTC1 is disabled, otherwise it will use functions from the CRT
    foreach(flag_var
        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
    endforeach(flag_var)
  endif()

  if(MSVC_CLANG)
    # clang-cl treats /W4 as '-Wall -Wextra' -- we don't need -Wextra
    foreach(flag_var
        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      string(REGEX REPLACE "/W4" "/W3" ${flag_var} "${${flag_var}}")
    endforeach(flag_var)
  endif()
endif()

# Those are used for pkg-config and friends, so that the sdl2.pc, sdl2-config,
# etc. are created correctly.
set(SDL_LIBS "-lSDL2")
set(SDL_CFLAGS )

# When building shared lib for Windows with MinGW,
# avoid the DLL having a "lib" prefix
if(WINDOWS)
  set(CMAKE_SHARED_LIBRARY_PREFIX "")
endif()

set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -D_GNU_SOURCE=1")

# Emscripten toolchain has a nonempty default value for this, and the checks
# in this file need to change that, so remember the original value, and
# restore back to that afterwards. For check_function_exists() to work in
# Emscripten, this value must be at its default value.
set(ORIG_CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS})

if(CYGWIN)
  # We build SDL on cygwin without the UNIX emulation layer
  target_include_directories(sdl-build-options INTERFACE "/usr/include/mingw")
  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -mno-cygwin")

=== debian/changelog ===
libsdl2 (2.26.3+dfsg-1) unstable; urgency=medium

  * New upstream stable release 2.26.3
    - No changes relevant to Unix platforms
  * d/copyright: Update
  * Add patch from upstream fixing sandbox detection.
    In particular, when backported into the Steam Runtime this will fix game
    controller hotplugging in Proton games.

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Feb 2023 11:16:09 +0000

## libsdl2 2.26.4%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 # See docs/release_checklist.md
 set(SDL_MAJOR_VERSION 2)
 set(SDL_MINOR_VERSION 26)
-set(SDL_MICRO_VERSION 3)
+set(SDL_MICRO_VERSION 4)
 set(SDL_VERSION "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}.${SDL_MICRO_VERSION}")
 
 # Set defaults preventing destination file conflicts

## libsdl2 2.26.4+dfsg

=== debian/changelog ===
libsdl2 (2.26.4+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Apr 2023 16:03:51 -0700

libsdl2 (2.26.4+dfsg-1) unstable; urgency=medium

  * New upstream stable release 2.26.4
    - Game controller mappings no longer overwrite existing mappings with
      the same vendor/product but a different hardware version, fixing
      axis/button mapping for some game controllers with older drivers
      or firmware (SDL#7421)
    - A Windows-specific fix not relevant to Debian
    - Reformatting in test/testime.c is not relevant to Debian
  * d/p/Fixed-Steam-Runtime-sandbox-detection.patch:
    Drop patch, applied upstream
  * d/p/Fixed-handling-simple-mode-PS4-reports.patch:
    Fix some Playstation 4 controllers not providing input in raw HID mode
    (regression in 2.25.1, SDL#7270)

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Mar 2023 10:49:35 +0000

=== debian/control ===
Source: libsdl2
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
           Simon McVittie <smcv@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               fcitx-libs-dev,
               libasound2-dev [linux-any],
               libdbus-1-dev,
               libdecor-0-dev [linux-any],
               libdrm-dev [linux-any],
               libegl-dev [!hurd-any],
               libgbm-dev [linux-any],
               libgl-dev,
               libgles-dev [!hurd-any],
               libibus-1.0-dev,
               libpipewire-0.3-dev (>= 0.3.20) [linux-any],
               libpulse-dev,
               libsamplerate0-dev,
               libsndio-dev,
               libudev-dev [linux-any],
               libusb2-dev [kfreebsd-any],
               libusbhid-dev [kfreebsd-any],
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.18) [linux-any],
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbcommon-dev (>= 0.5.0),
               libxrandr-dev,
               libxss-dev,
               libxt-dev,
               libxv-dev,
               libxxf86vm-dev,
               pkg-config,
               wayland-protocols
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2.git
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2
Homepage: https://www.libsdl.org/
Rules-Requires-Root: no

Package: libsdl2-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xdg-utils
Conflicts: libsdl-1.3-0
Replaces: libsdl-1.3-0
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 and Wayland graphics drivers and OSS,
 ALSA, sndio and PulseAudio sound drivers.

Package: libsdl2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasound2-dev [linux-any],
         libdbus-1-dev,
         libdecor-0-dev [linux-any],
         libdrm-dev [linux-any],
         libegl-dev [!hurd-any],
         libgbm-dev [linux-any],
         libgl-dev,
         libgles-dev [!hurd-any],
         libibus-1.0-dev,
         libpulse-dev,
         libsamplerate0-dev,
         libsdl2-2.0-0 (= ${binary:Version}),
         libsndio-dev,
         libudev-dev [linux-any],
         libusb2-dev [kfreebsd-any],
         libusbhid-dev [kfreebsd-any],
         libwayland-dev [linux-any],
         libx11-dev,
         libxcursor-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxinerama-dev,
         libxkbcommon-dev,
         libxrandr-dev,
         libxss-dev,
         libxt-dev,
         libxv-dev,
         libxxf86vm-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsdl-1.3-dev
Replaces: libsdl-1.3-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Breaks: libsdl2-dev (<< 2.0.4+dfsg-1)
Replaces: libsdl2-dev (<< 2.0.4+dfsg-1)
Description: Reference manual for libsdl2
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the reference manual and examples.

Package: libsdl2-tests
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnome-desktop-testing
Breaks: libsdl2-dev (<< 2.0.22+dfsg-2~)
Replaces: libsdl2-dev (<< 2.0.22+dfsg-2~)
Description: Simple DirectMedia Layer automated and manual tests
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains manual and automated tests. The automated tests can
 be run using ginsttest-runner in the gnome-desktop-testing package,
 or manually.

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	--disable-jack \
 	--disable-joystick-mfi \
 	--disable-kmsdrm-shared \
+	--disable-libsamplerate-shared \
 	--disable-nas \
 	--disable-pulseaudio-shared \
 	--disable-render-d3d \
@@ -39,6 +40,7 @@
 	--enable-pulseaudio \
 	--enable-sdl2-config \
 	--enable-sndio \
+	--enable-vendor-info="${DEB_VENDOR} ${DEB_VERSION}" \
 	--enable-video-kmsdrm \
 	--enable-video-opengl \
 	--enable-video-opengles \
@@ -179,3 +181,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- WhatsNew.txt
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: build
Depends: build-essential, clang:native, libsdl2-dev
Restrictions: superficial, allow-stderr

Tests: deprecated-use
Depends: build-essential, clang:native, libsdl2-dev, libsdl2-ttf-dev
Restrictions: superficial, allow-stderr

Tests: cmake
Depends: build-essential, cmake, libsdl2-dev
Restrictions: superficial, allow-stderr

Tests: installed-tests
Depends: gnome-desktop-testing, libsdl2-tests
Restrictions: superficial, allow-stderr

## libsdl2 2.26.5%2Bdfsg

=== debian/changelog ===
libsdl2 (2.26.5+dfsg-1revyos1) unstable; urgency=medium

  * Disable opengl

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 09 Jun 2023 01:33:45 +0800

libsdl2 (2.26.5+dfsg-1) unstable; urgency=medium

  * New upstream stable release 2.26.5
    - Improve quality and performance of audio resampling by using
      more integer arithmetic
    - Ignore CRC of Bluetooth packets from PS4-compatible controllers
      in raw HID mode if consistently wrong, fixing 8BitDo SN30 Pro with
      2.00 firmware
    - Add support for digital-only trigger buttons on PS5-compatible
      controllers such as Victrix Pro FS in raw HID mode
    - Fix crash when using fcitx if libdbus cannot be initialized
    - Ensure declarations needed for SDL_assert_always() are present even
      if a dependent project is built with -DSDL_ASSERT_LEVEL=0
    - Report SDL_RENDERER_PRESENTVSYNC flag back to the application if
      vsync is being simulated
    - Avoid string truncation when logging events
    - Fix compilation with -std=c2x compilers
    - Update list of known game controllers:
      + Remove mappings for a generic USB joystick controller
        (vendor ID 0x0079, product ID 0x0006, version 0x0000 or 0x6120)
        which cannot usefully be matched to a specific product
      + Add mapping for 8BitDo Pro 2 Wired Controller for Xbox
        via in-tree xpad driver or out-of-tree xone driver
      + Add mapping for Elecom 8button gamepad
      + Add mapping for Flydigi Vader 2 with the latest firmware (6.0.4.9)
      + Add mapping for Google Stadia Controller over Bluetooth
      + Add mapping for Hori Pokken Tournament DX Pro Pad
      + Add mapping for Sony DualSense Edge Wireless Controller via
        Bluetooth and evdev
      + Add mapping for Ultimate Atari Fight Stick
      + Respect SDL_GAMECONTROLLER_USE_BUTTON_LABELS hint for Retrolink
        SNES controller
      + Sort the list in a canonical order
      + Various Android mapping fixes not relevant to Debian
    - Various Android-, macOS- and Windows-specific fixes not relevant
      to Debian
  * d/p/Fixed-handling-simple-mode-PS4-reports.patch:
    Drop patch, included in the upstream release
  * d/gbp.conf: Use upstream/2.26.x branch for bookworm

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Apr 2023 09:41:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	--enable-sndio \
 	--enable-vendor-info="${DEB_VENDOR} ${DEB_VERSION}" \
 	--enable-video-kmsdrm \
-	--enable-video-opengl \
+	--disable-video-opengl \
 	--enable-video-opengles \
 	--enable-video-opengles2 \
 	--enable-video-x11 \
@@ -181,7 +181,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- WhatsNew.txt
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
